diff -pruN bash-completion-2.15.0.old/completions/sitecopy bash-completion-2.15.0/completions/sitecopy
--- bash-completion-2.15.0.old/completions/sitecopy	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sitecopy	2024-11-30 21:20:51.990204538 +0100
@@ -44,7 +44,7 @@ _comp_cmd_sitecopy()
 
     if [[ -r ~/.sitecopyrc ]]; then
         _comp_compgen_split -- "$("$1" -v |
-            command sed -n '/^Site:/s/Site: //p')"
+            command gsed -n '/^Site:/s/Site: //p')"
     fi
 } &&
     complete -F _comp_cmd_sitecopy -o default sitecopy
diff -pruN bash-completion-2.15.0.old/completions/slabtop bash-completion-2.15.0/completions/slabtop
--- bash-completion-2.15.0.old/completions/slabtop	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slabtop	2024-11-30 21:20:52.101128548 +0100
@@ -13,7 +13,7 @@ _comp_cmd_slabtop()
             ;;
         --sort | -${noargopts}s)
             _comp_compgen_split -- "$(
-                "$1" --help | command sed \
+                "$1" --help | command gsed \
                     -e '/^The following are valid sort criteria/,/^$/!d' \
                     -ne 's/^[[:space:]]\(.\):.*/\1/p'
             )"
diff -pruN bash-completion-2.15.0.old/completions/slapt-get bash-completion-2.15.0/completions/slapt-get
--- bash-completion-2.15.0.old/completions/slapt-get	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slapt-get	2024-11-30 21:20:52.442654180 +0100
@@ -62,14 +62,14 @@ _comp_cmd_slapt_get()
             local name=${cur%%-*}
             _comp_compgen_split -l -- "$(
                 LC_ALL=C "$1" -c "$config" --search "^$name" 2>/dev/null |
-                    LC_ALL=C command sed -ne "/^$cur/{s/ .*$//;p;}"
+                    LC_ALL=C command gsed -ne "/^$cur/{s/ .*$//;p;}"
             )"
             return
             ;;
         avl) # --install|-i|
             _comp_compgen_split -l -- "$(
                 LC_ALL=C "$1" -c "$config" --available 2>/dev/null |
-                    LC_ALL=C command sed -ne "/^$cur/{s/ .*$//;p;}"
+                    LC_ALL=C command gsed -ne "/^$cur/{s/ .*$//;p;}"
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/slapt-src bash-completion-2.15.0/completions/slapt-src
--- bash-completion-2.15.0.old/completions/slapt-src	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slapt-src	2024-11-30 21:20:52.168369893 +0100
@@ -59,13 +59,13 @@ _comp_cmd_slapt_src()
         _comp_compgen_split -l -- "$(
             LC_ALL=C
             "$1" --config "$config" --search "^$name" 2>/dev/null |
-                command sed -ne "/^$cur/{s/^$name:\([^ ]*\) .*$/\1/;p;}"
+                command gsed -ne "/^$cur/{s/^$name:\([^ ]*\) .*$/\1/;p;}"
         )"
     else
         _comp_compgen_split -l -- "$(
             LC_ALL=C
             "$1" --config "$config" --search "^$cur" 2>/dev/null |
-                command sed -ne "/^$cur/{s/ .*$//;p;}"
+                command gsed -ne "/^$cur/{s/ .*$//;p;}"
         )"
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/smbclient bash-completion-2.15.0/completions/smbclient
--- bash-completion-2.15.0.old/completions/smbclient	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/smbclient	2024-11-30 21:20:51.882915014 +0100
@@ -16,7 +16,7 @@ _comp_cmd_smbclient__hosts()
 {
     if [[ ${BASH_COMPLETION_CMD_SMBTREE_SCAN-${COMP_SAMBA_SCAN-}} ]]; then
         _comp_compgen_split -- "$(smbtree -N -S |
-            command sed -ne 's/^[[:space:]]*\\\\*\([^[:space:]]*\).*/\1/p')"
+            command gsed -ne 's/^[[:space:]]*\\\\*\([^[:space:]]*\).*/\1/p')"
     fi
 }
 
diff -pruN bash-completion-2.15.0.old/completions/ss bash-completion-2.15.0/completions/ss
--- bash-completion-2.15.0.old/completions/ss	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ss	2024-11-30 21:20:51.958161854 +0100
@@ -17,7 +17,7 @@ _comp_cmd_ss()
             ;;
         --query | -${noargopts}A)
             local queries=$("$1" --help |
-                command sed -e 's/|/ /g' -ne 's/.*QUERY := {\([^}]*\)}.*/\1/p')
+                command gsed -e 's/|/ /g' -ne 's/.*QUERY := {\([^}]*\)}.*/\1/p')
             _comp_delimited , -W '$queries'
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ssh bash-completion-2.15.0/completions/ssh
--- bash-completion-2.15.0.old/completions/ssh	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ssh	2024-11-30 21:20:52.197591384 +0100
@@ -494,7 +494,7 @@ _comp_xfunc_scp_compgen_remote_files()
 
     # unescape (3 backslashes to 1 for chars we escaped)
     # shellcheck disable=SC2090
-    _path=$(command sed -e 's/\\\\\\\('"$_comp_cmd_scp__path_esc"'\)/\\\1/g' <<<"$_path")
+    _path=$(command gsed -e 's/\\\\\\\('"$_comp_cmd_scp__path_esc"'\)/\\\1/g' <<<"$_path")
 
     # default to home dir of specified user on remote host
     if [[ ! $_path ]]; then
@@ -512,14 +512,14 @@ _comp_xfunc_scp_compgen_remote_files()
         # shellcheck disable=SC2090
         _files=$(ssh -o 'Batchmode yes' "$_userhost" \
             command ls -aF1dL "$_path*" 2>/dev/null |
-            command sed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e '/[^\/]$/d')
+            command gsed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e '/[^\/]$/d')
     else
         # escape problematic characters; remove executables, aliases, pipes
         # and sockets; add space at end of file names
         # shellcheck disable=SC2090
         _files=$(ssh -o 'Batchmode yes' "$_userhost" \
             command ls -aF1dL "$_path*" 2>/dev/null |
-            command sed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e 's/[*@|=]$//g' \
+            command gsed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e 's/[*@|=]$//g' \
                 -e 's/[^\/]$/& /g')
     fi
     _comp_compgen -R split -l -- "$_files"
@@ -549,13 +549,13 @@ _comp_xfunc_scp_compgen_local_files()
     if [[ $_dirsonly ]]; then
         _comp_compgen -U files split -l -- "$(
             command ls -aF1dL "${files[@]}" 2>/dev/null |
-                command sed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
+                command gsed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
                     -e '/[^\/]$/d' -e "s/^/${1-}/"
         )"
     else
         _comp_compgen -U files split -l -- "$(
             command ls -aF1dL "${files[@]}" 2>/dev/null |
-                command sed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
+                command gsed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
                     -e 's/[*@|=]$//g' -e 's/[^\/]$/& /g' -e "s/^/${1-}/"
         )"
     fi
diff -pruN bash-completion-2.15.0.old/completions/strings bash-completion-2.15.0/completions/strings
--- bash-completion-2.15.0.old/completions/strings	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/strings	2024-11-30 21:20:51.861535991 +0100
@@ -18,12 +18,12 @@ _comp_cmd_strings()
             ;;
         --target | -${noargopts}T)
             _comp_compgen_split -- "$(LC_ALL=C "$1" --help 2>/dev/null |
-                command sed -ne 's/: supported targets: \(.*\)/\1/p')"
+                command gsed -ne 's/: supported targets: \(.*\)/\1/p')"
             return
             ;;
         --encoding | -${noargopts}e)
             _comp_compgen_split -F , -- "$(LC_ALL=C "$1" --help 2>/dev/null |
-                command sed -ne 's/.*--encoding={\([^}]*\)}.*/\1/p')"
+                command gsed -ne 's/.*--encoding={\([^}]*\)}.*/\1/p')"
             return
             ;;
     esac
@@ -34,7 +34,7 @@ _comp_cmd_strings()
         # macOS: ... [-t format] [-number] [-n number] ...
         _comp_compgen_help ||
             _comp_compgen_usage - <<<"$("$1" --help 2>&1 |
-                command sed -e "s/\[-number\]//")"
+                command gsed -e "s/\[-number\]//")"
         [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
         return
     elif [[ $cur == @* ]]; then
diff -pruN bash-completion-2.15.0.old/completions/svcadm bash-completion-2.15.0/completions/svcadm
--- bash-completion-2.15.0.old/completions/svcadm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/svcadm	2024-11-30 21:20:52.409870879 +0100
@@ -25,7 +25,7 @@
 _gen_zoneadm_list()
 {
     if [[ ${prev} =~ "-z" ]]; then
-        local zones="$(zoneadm list -c | grep -v '^global$')"
+        local zones="$(zoneadm list -c | ggrep -v '^global$')"
         COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
@@ -133,7 +133,7 @@ _svcadm()
         else
             # svcadm [-v] milestone [-d] milestone_FMRI
             if [[ ${line} =~ -S ]]; then
-                command_list="$(echo ${command_list} | sed -e 's/milestone//')"
+                command_list="$(echo ${command_list} | gsed -e 's/milestone//')"
             fi
             COMPREPLY=( $(compgen -W "${command_list}" -- ${cur}) )
         fi
diff -pruN bash-completion-2.15.0.old/completions/svk bash-completion-2.15.0/completions/svk
--- bash-completion-2.15.0.old/completions/svk	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/svk	2024-11-30 21:20:52.031861575 +0100
@@ -198,7 +198,7 @@ _comp_cmd_svk()
                         path=//
                     fi
                     _comp_compgen_split -- "$("$1" list "$path" 2>/dev/null |
-                        command sed -e 's|\(.*\)|'"$path"'\1|')"
+                        command gsed -e 's|\(.*\)|'"$path"'\1|')"
                     ;;
                 *)
                     _comp_compgen_filedir
diff -pruN bash-completion-2.15.0.old/completions/sysbench bash-completion-2.15.0/completions/sysbench
--- bash-completion-2.15.0.old/completions/sysbench	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sysbench	2024-11-30 21:20:52.136718972 +0100
@@ -75,7 +75,7 @@ _comp_cmd_sysbench()
             ;;
         --db-driver)
             _comp_compgen_split -- "$("$1" --test=oltp help 2>/dev/null |
-                command sed -e '/^.*database drivers:/,/^$/!d' \
+                command gsed -e '/^.*database drivers:/,/^$/!d' \
                     -ne 's/^  *\([^ ]*\) .*/\1/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/tox bash-completion-2.15.0/completions/tox
--- bash-completion-2.15.0.old/completions/tox	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/tox	2024-11-30 21:20:52.228007757 +0100
@@ -33,7 +33,7 @@ _comp_cmd_tox()
                 } 2>/dev/null
             )
             [[ $envs ]] || envs=$(
-                command sed -e 's/,/ /g' -ne 's/^envlist[[:space:]]*=//p' \
+                command gsed -e 's/,/ /g' -ne 's/^envlist[[:space:]]*=//p' \
                     tox.ini 2>/dev/null
             )
             _comp_delimited , -X '*[{}]*' -W "$envs ALL"
diff -pruN bash-completion-2.15.0.old/completions/tshark bash-completion-2.15.0/completions/tshark
--- bash-completion-2.15.0.old/completions/tshark	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/tshark	2024-11-30 21:20:52.430715679 +0100
@@ -23,7 +23,7 @@ _comp_cmd_tshark()
                 _comp_compgen -c "${cur#*:}" filedir
             else
                 [[ -v _comp_cmd_tshark__prefs ]] ||
-                    _comp_cmd_tshark__prefs="$("$1" -G defaultprefs 2>/dev/null | command sed -ne 's/^#\{0,1\}\([a-z0-9_.-]\{1,\}:\).*/\1/p' |
+                    _comp_cmd_tshark__prefs="$("$1" -G defaultprefs 2>/dev/null | command gsed -ne 's/^#\{0,1\}\([a-z0-9_.-]\{1,\}:\).*/\1/p' |
                         tr '\n' ' ')"
                 : ${prefix:=}
                 _comp_compgen -c "${cur:${#prefix}}" -- -P "$prefix" \
diff -pruN bash-completion-2.15.0.old/completions/update-alternatives bash-completion-2.15.0/completions/update-alternatives
--- bash-completion-2.15.0.old/completions/update-alternatives	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/update-alternatives	2024-11-30 21:20:52.162634073 +0100
@@ -83,7 +83,7 @@ _comp_cmd_update_alternatives()
             _comp_cmd_update_alternatives__installed
             ;;
         *)
-            _comp_compgen_help - <<<"$(LANG=C "$1" --help 2>&1 | command sed '
+            _comp_compgen_help - <<<"$(LANG=C "$1" --help 2>&1 | command gsed '
                 /usage:/,/^[[:space:]]*$/{
                   s/^\([[:space:]]*usage:\)\{0,1\}[[:space:]]*[^[:space:]]*alternatives /  /
                   s/^[[:space:]]*\[\(-.*\)\]/  \1/
diff -pruN bash-completion-2.15.0.old/completions/valgrind bash-completion-2.15.0/completions/valgrind
--- bash-completion-2.15.0.old/completions/valgrind	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/valgrind	2024-11-30 21:20:51.974933031 +0100
@@ -72,7 +72,7 @@ _comp_cmd_valgrind()
         --+([-A-Za-z0-9_]))
             # shellcheck disable=SC2086
             local value=$("$1" --help-debug $tool 2>/dev/null |
-                command sed \
+                command gsed \
                     -ne "s|^[[:blank:]]*$prev=\([^[:blank:]]\{1,\}\).*|\1|p")
             case $value in
                 \<file*\>)
diff -pruN bash-completion-2.15.0.old/completions/wget bash-completion-2.15.0/completions/wget
--- bash-completion-2.15.0.old/completions/wget	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wget	2024-11-30 21:20:52.272728505 +0100
@@ -123,7 +123,7 @@ _comp_cmd_wget()
             return
             ;;
         --user | --http-user | --proxy-user | --ftp-user)
-            _comp_compgen_split -- "$(command sed -n \
+            _comp_compgen_split -- "$(command gsed -n \
                 '/^login/s/^[[:blank:]]*login[[:blank:]]//p' ~/.netrc \
                 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/wol bash-completion-2.15.0/completions/wol
--- bash-completion-2.15.0.old/completions/wol	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wol	2024-11-30 21:20:52.401762467 +0100
@@ -17,7 +17,7 @@ _comp_cmd_wol()
             _comp_compgen_split -- "$({
                 ip -c=never addr show || ip addr show || ifconfig -a
             } 2>/dev/null |
-                command sed \
+                command gsed \
                     -ne 's/.*[[:space:]]Bcast:\([^[:space:]]*\).*/\1/p' \
                     -ne 's/.*inet.*[[:space:]]brd[[:space:]]\([^[:space:]]*\).*/\1/p' \
                     -ne 's/.*[[:space:]]broadcast[[:space:]]\{1,\}\([^[:space:]]*\).*/\1/p')"
diff -pruN bash-completion-2.15.0.old/completions/wvdial bash-completion-2.15.0/completions/wvdial
--- bash-completion-2.15.0.old/completions/wvdial	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wvdial	2024-11-30 21:20:52.440329030 +0100
@@ -33,7 +33,7 @@ _comp_cmd_wvdial()
             done
             # parse config files for sections and
             # remove default section
-            _comp_compgen_split -l -X 'Defaults' -- "$(command sed -ne \
+            _comp_compgen_split -l -X 'Defaults' -- "$(command gsed -ne \
                 's/^\[Dialer \(.*\)\]$/\1/p' "$config" 2>/dev/null)"
             # escape spaces
             COMPREPLY=("${COMPREPLY[@]// /\\ }")
diff -pruN bash-completion-2.15.0.old/completions/xgamma bash-completion-2.15.0/completions/xgamma
--- bash-completion-2.15.0.old/completions/xgamma	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xgamma	2024-11-30 21:20:52.407349233 +0100
@@ -7,7 +7,7 @@ _comp_cmd_xgamma()
 
     case "$prev" in
         -screen)
-            local screens=$(xrandr --query 2>/dev/null | command sed -n \
+            local screens=$(xrandr --query 2>/dev/null | command gsed -n \
                 '/^Screen /s|^Screen \{1,\}\(.*\):.*$|\1|p' 2>/dev/null)
             _comp_compgen -- -W "$screens"
             return
@@ -30,7 +30,7 @@ _comp_cmd_xgamma()
                 compopt -o nospace
             elif [[ $cur == :*.* ]]; then
                 # local screen numbers
-                local t screens=$(xrandr --query 2>/dev/null | command sed -ne \
+                local t screens=$(xrandr --query 2>/dev/null | command gsed -ne \
                     '/^Screen /s|^Screen \{1,\}\(.*\):.*$|\1|p' 2>/dev/null)
                 t="${cur#:}"
                 _comp_compgen -c "${cur##*.}" -- -P "${t%.*}." -W '$screens'
diff -pruN bash-completion-2.15.0.old/completions/xrandr bash-completion-2.15.0/completions/xrandr
--- bash-completion-2.15.0.old/completions/xrandr	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xrandr	2024-11-30 21:20:52.293893464 +0100
@@ -9,20 +9,20 @@ _comp_cmd_xrandr__compgen_monitors()
 {
     _comp_compgen_split -- "$(
         "$1" --listmonitors 2>/dev/null |
-            command sed -ne 's/.* [0-9]*: [+\*]*\([^ ]*\).*/\1/p'
+            command gsed -ne 's/.* [0-9]*: [+\*]*\([^ ]*\).*/\1/p'
     )"
 }
 
 _comp_cmd_xrandr__compgen_providers()
 {
     _comp_compgen_split -- "$("$1" --listproviders 2>/dev/null |
-        command sed -ne "s/.*cap:.*$2.* name:\([^ ]*\).*/\1/p")"
+        command gsed -ne "s/.*cap:.*$2.* name:\([^ ]*\).*/\1/p")"
 }
 
 _comp_cmd_xrandr__compgen_modes()
 {
     _comp_compgen_split -- "$(
-        "$1" -q 2>/dev/null | command sed \
+        "$1" -q 2>/dev/null | command gsed \
             -e "1,/^$2 / d" \
             -e '/connected/,$ d' \
             -e '/^[[:space:]]*h: / d' \
@@ -34,7 +34,7 @@ _comp_cmd_xrandr__compgen_modes()
 _comp_cmd_xrandr__compgen_all_modes()
 {
     _comp_compgen_split -- "$(
-        "$1" -q 2>/dev/null | command sed \
+        "$1" -q 2>/dev/null | command gsed \
             -e '/^[^[:space:]].*/ d' \
             -e '/^[[:space:]]*h: / d' \
             -e '/^[[:space:]]*v: / d' \
@@ -161,13 +161,13 @@ _comp_cmd_xrandr()
     if [[ $has_output ]]; then
         _comp_compgen -v options help - <<<"$(
             "$1" --help 2>/dev/null |
-                command sed -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
+                command gsed -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
         )"
     else
         # if no output is specified, remove per-output options
         _comp_compgen -v options help - <<<"$(
             "$1" --help 2>/dev/null |
-                command sed -e '/^  -/!d' -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
+                command gsed -e '/^  -/!d' -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
         )"
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/xsltproc bash-completion-2.15.0/completions/xsltproc
--- bash-completion-2.15.0.old/completions/xsltproc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xsltproc	2024-11-30 21:20:52.368536251 +0100
@@ -16,7 +16,7 @@ _comp_cmd_xsltproc()
             ;;
         --encoding)
             # some aliases removed
-            local encodings=$(iconv -l | command sed -e 's/\/.*//')
+            local encodings=$(iconv -l | command gsed -e 's/\/.*//')
             _comp_compgen -- -X '@(UTF[1378]|8859|ISO[0-9_])*' -W '$encodings'
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/zfs bash-completion-2.15.0/completions/zfs
--- bash-completion-2.15.0.old/completions/zfs	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/zfs	2024-11-30 21:20:52.262348616 +0100
@@ -141,7 +141,7 @@ __zfs_match_multiple_snapshots()
                 return 1
             fi
             local range_start=$(expr "$cur" : '\(.*%\)')
-            $__ZFS_CMD list -H -o name -s name -t snapshot -d 1 $base_dataset | sed 's$.*@$'$range_start'$g'
+            $__ZFS_CMD list -H -o name -s name -t snapshot -d 1 $base_dataset | gsed 's$.*@$'$range_start'$g'
         fi
     else
         __zfs_match_snapshot_or_bookmark
diff -pruN bash-completion-2.15.0.old/completions/zones bash-completion-2.15.0/completions/zones
--- bash-completion-2.15.0.old/completions/zones	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/zones	2024-11-30 21:20:52.411027650 +0100
@@ -31,7 +31,7 @@ _zlogin()
         esac
     else
       # Provide running zone names
-      local zones=$(zoneadm list | grep -v '^global$')
+      local zones=$(zoneadm list | ggrep -v '^global$')
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
@@ -45,7 +45,7 @@ _dash_z_zone()
 
     if [[ ${prev} =~ "-z" ]]; then
       # Provide running zone names
-      local zones="$(zoneadm list -c | grep -v '^global$')"
+      local zones="$(zoneadm list -c | ggrep -v '^global$')"
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
